package model.actualiseur;

import model.arbitre.Arbitre;

public class ActualiseurEtatCellule extends ActualiseurCellule{
	public ActualiseurEtatCellule(Arbitre a) throws IllegalArgumentException{
		super(a);
	}
	@Override
	public void changerCellule(int x, int y) {
		switch(getArbitre().verifierChangementCellules(x, y)) {
			case DIE -> getArbitre().getPlateau().getCell(x, y).setAlive(false);
			case LIVE, BIRTH -> getArbitre().getPlateau().getCell(x, y).setAlive(true);
		}
	}
}
